Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface Item

All Superinterfaces:
  ValueRepresentation

All Known Subinterfaces:
  DocumentInfo, NodeInfo, SiblingCountingNode, VirtualNode

All Known Implementing Classes:
  AtomicValue, DocumentImpl, DocumentWrapper, DocumentWrapper, DocumentWrapper, NamespaceIterator.NamespaceNodeImpl, NodeImpl, NodeWrapper, NodeWrapper, NodeWrapper, Orphan, StrippedDocument, StrippedNode, TextFragmentValue, TinyDocumentImpl, TinyNodeImpl, VirtualCopy, VirtualDocumentCopy

public interface Item
extends ValueRepresentation

An Item is an object that can occur as a member of a sequence. There are two kinds of Item: atomic values, and nodes.

Method Summary
`java.lang.String` | `getStringValue()` Get the value of the item as a string
`java.lang.CharSequence` | `getStringValueCS()` Get the value of the item as a CharSequence.
`SequenceIterator` | `getTypedValue()` Get the typed value of the item

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  Get the value of the item as a string

  Returns:
    the string value of the item

### getStringValueCS

    public java.lang.CharSequence getStringValueCS()

  Get the value of the item as a CharSequence. This is in some cases more efficient than the version of the method that returns a String.

### getTypedValue

    public SequenceIterator getTypedValue()
                                   throws XPathException

  Get the typed value of the item

  Returns:
    the typed value of the item. In general this will be a sequence
  Throws:
    `XPathException` - where no typed value is available, e.g. for an element with complex content

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD